function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
--show_help_wnd=true;
	init_mini(1);
	create_mini(8128);
	
end;

function gameinput (sender,id,attachedID)

	-- if sender==35 then
		-- if id==1000 then
			-- set_pos_in_img(1000,35,0,35,35);
		-- return;end;
	-- return;end;
	
	
	if sender==26 then
		if id==1 then
		   
			clear_satelite_leaf("grim");	
		return;end;
	return;end;


	
	if sender==16 then
	if not help then
	   CreateWindow(200,200,"1",100,"messageinfo")
	   help=true;
	end;
	BlockCursor(false);
	if id==17 then
		--CreateWindow(100,100,"211",1);
		
	return;end;		
	return;end;

	-- if sender==21 then
		-- if id==14 then
			-- speciale_action(2,14);
			-- speciale_action(2,13);
		-- return;end;	
	-- return;end;	
	
	if sender==36 then
		if id==101010 then
	    CreateWindow(100,100,"212",1);
		BlockCursor(false);
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	
	if sender==30 then
	setcurentleaf("grim",1,0);
	DarkScreen(false);
	if flags.minicomplete then
		StopEmiter("Svet");
		collaps_obj(16,0,0,0,0);
		setcolor(16,0,0,0,0.5,1);
		--flags.minitext1=true;		
		Set_Cursor(62,3);
		savegame(SaveLevel())
		return; end;
	return; end;

	if sender==10 then
	    	flags.minicomplete=true;
			speciale_action(2,17,true,3);
			StartTimer(101010,2)
			BlockCursor(true);
			playeffect("miniC");
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;
	
	if sender==1 then
		
		if id==6000 then
			
		   CreateWindow(200,200,"1",100,"messageinfo")
		return;end;
		if id==1000 then
			--speciale_action(2,14);
			--speciale_action(2,12);
			playeffect("close");
			finish_mini_game(false);
			clear_satelite_leaf("grim");
			DeleteResource("m0000");
			DeleteResource("m0001");
			DeleteResource("m0002");
			DeleteResource("m0003");
			DeleteResource("m0004");
			DeleteResource("m0005");
			DeleteResource("m0006");		
			DeleteResource("m0007");	
			DeleteResource("m0008");
			DeleteResource("m0009");		
			DeleteResource("m0010");			
			DeleteResource("m0011");
			DeleteResource("m0012");
			DeleteResource("m0013");
			DeleteResource("m0014");
			DeleteResource("m0015");
			DeleteResource("m0017");
		return;end;
	
		if id==7 then
		     speciale_action(2,7);
			 finish_mini_game(true)

		--	speciale_action(2,2000);	
			--ScaleObject(17,1,1.1);	
		return;end;
		
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete then
				finish_mini_game(true);
			return;end;	
		return;end;		
		
	return; end;
	

			
end;
